Index: src/onset/onset.h
===================================================================
--- src/onset/onset.h	(revision b8ee46c506cc6943afdf218c6ca9226f5ad86a60)
+++ src/onset/onset.h	(revision 3ac7cb09be6f375ae97b89eb535d6bb3734e3eb0)
@@ -47,5 +47,5 @@
 /** create onset detection object
   
-  \param onset_mode onset detection type as specified in specdesc.h
+  \param method onset detection type as specified in specdesc.h
   \param buf_size buffer size for phase vocoder
   \param hop_size hop size for phase vocoder
@@ -54,5 +54,5 @@
 
 */
-aubio_onset_t * new_aubio_onset (char_t * onset_mode, 
+aubio_onset_t * new_aubio_onset (char_t * method, 
     uint_t buf_size, uint_t hop_size, uint_t channels, uint_t samplerate);
 
Index: src/pitch/pitch.h
===================================================================
--- src/pitch/pitch.h	(revision b8ee46c506cc6943afdf218c6ca9226f5ad86a60)
+++ src/pitch/pitch.h	(revision 3ac7cb09be6f375ae97b89eb535d6bb3734e3eb0)
@@ -41,6 +41,6 @@
 
   \param o pitch detection object as returned by new_aubio_pitch()
-  \param in input signal of size [hopsize x channels]
-  \param out output pitch candidates of size [1 x channes]
+  \param in input signal of size [hop_size x channels]
+  \param out output pitch candidates of size [1 x channels]
 
 */
@@ -64,13 +64,13 @@
 /** creation of the pitch detection object
 
-  \param mode set pitch detection algorithm
-  \param bufsize size of the input buffer to analyse
-  \param hopsize step size between two consecutive analysis instant
+  \param method set pitch detection algorithm
+  \param buf_size size of the input buffer to analyse
+  \param hop_size step size between two consecutive analysis instant
   \param channels number of channels to analyse
   \param samplerate sampling rate of the signal
 
 */
-aubio_pitch_t *new_aubio_pitch (char_t * mode,
-    uint_t bufsize, uint_t hopsize, uint_t channels, uint_t samplerate);
+aubio_pitch_t *new_aubio_pitch (char_t * method,
+    uint_t buf_size, uint_t hop_size, uint_t channels, uint_t samplerate);
 
 /** set the output unit of the pitch detection object 
Index: src/pitch/pitchfcomb.h
===================================================================
--- src/pitch/pitchfcomb.h	(revision b8ee46c506cc6943afdf218c6ca9226f5ad86a60)
+++ src/pitch/pitchfcomb.h	(revision 3ac7cb09be6f375ae97b89eb535d6bb3734e3eb0)
@@ -55,10 +55,10 @@
 /** creation of the pitch detection object
  
-  \param bufsize size of the input buffer to analyse 
-  \param hopsize step size between two consecutive analysis instant 
+  \param buf_size size of the input buffer to analyse 
+  \param hop_size step size between two consecutive analysis instant 
   \param channels number of channels to detect pitch on
  
 */
-aubio_pitchfcomb_t *new_aubio_pitchfcomb (uint_t bufsize, uint_t hopsize,
+aubio_pitchfcomb_t *new_aubio_pitchfcomb (uint_t buf_size, uint_t hop_size,
     uint_t channels);
 
Index: src/pitch/pitchmcomb.h
===================================================================
--- src/pitch/pitchmcomb.h	(revision b8ee46c506cc6943afdf218c6ca9226f5ad86a60)
+++ src/pitch/pitchmcomb.h	(revision 3ac7cb09be6f375ae97b89eb535d6bb3734e3eb0)
@@ -55,11 +55,11 @@
 /** creation of the pitch detection object
  
-  \param bufsize size of the input buffer to analyse 
-  \param hopsize step size between two consecutive analysis instant 
+  \param buf_size size of the input buffer to analyse 
+  \param hop_size step size between two consecutive analysis instant 
   \param channels number of channels to analyse
   \param samplerate sampling rate of the signal 
  
 */
-aubio_pitchmcomb_t *new_aubio_pitchmcomb (uint_t bufsize, uint_t hopsize,
+aubio_pitchmcomb_t *new_aubio_pitchmcomb (uint_t buf_size, uint_t hop_size,
     uint_t channels);
 
Index: src/pitch/pitchschmitt.h
===================================================================
--- src/pitch/pitchschmitt.h	(revision b8ee46c506cc6943afdf218c6ca9226f5ad86a60)
+++ src/pitch/pitchschmitt.h	(revision 3ac7cb09be6f375ae97b89eb535d6bb3734e3eb0)
@@ -55,8 +55,8 @@
 /** creation of the pitch detection object
  
-  \param size size of the input buffer to analyse 
+  \param buf_size size of the input buffer to analyse 
  
 */
-aubio_pitchschmitt_t *new_aubio_pitchschmitt (uint_t bufsize);
+aubio_pitchschmitt_t *new_aubio_pitchschmitt (uint_t buf_size);
 
 /** deletion of the pitch detection object
Index: src/pitch/pitchyin.h
===================================================================
--- src/pitch/pitchyin.h	(revision b8ee46c506cc6943afdf218c6ca9226f5ad86a60)
+++ src/pitch/pitchyin.h	(revision 3ac7cb09be6f375ae97b89eb535d6bb3734e3eb0)
@@ -45,8 +45,8 @@
 /** creation of the pitch detection object
  
-  \param bufsize size of the input buffer to analyse 
+  \param buf_size size of the input buffer to analyse 
  
 */
-aubio_pitchyin_t *new_aubio_pitchyin (uint_t bufsize);
+aubio_pitchyin_t *new_aubio_pitchyin (uint_t buf_size);
 
 /** deletion of the pitch detection object
Index: src/pitch/pitchyinfft.h
===================================================================
--- src/pitch/pitchyinfft.h	(revision b8ee46c506cc6943afdf218c6ca9226f5ad86a60)
+++ src/pitch/pitchyinfft.h	(revision 3ac7cb09be6f375ae97b89eb535d6bb3734e3eb0)
@@ -54,8 +54,8 @@
 /** creation of the pitch detection object
  
-  \param bufsize size of the input buffer to analyse 
+  \param buf_size size of the input buffer to analyse 
  
 */
-aubio_pitchyinfft_t *new_aubio_pitchyinfft (uint_t bufsize);
+aubio_pitchyinfft_t *new_aubio_pitchyinfft (uint_t buf_size);
 /** deletion of the pitch detection object
  
Index: src/spectral/mfcc.h
===================================================================
--- src/spectral/mfcc.h	(revision b8ee46c506cc6943afdf218c6ca9226f5ad86a60)
+++ src/spectral/mfcc.h	(revision 3ac7cb09be6f375ae97b89eb535d6bb3734e3eb0)
@@ -39,5 +39,5 @@
 /** create mfcc object
 
-  \param win_s size of analysis buffer (and length the FFT transform)
+  \param buf_size size of analysis buffer (and length the FFT transform)
   \param samplerate audio sampling rate
   \param n_coeffs number of desired coefficients
@@ -45,5 +45,5 @@
 
 */
-aubio_mfcc_t *new_aubio_mfcc (uint_t win_s,
+aubio_mfcc_t *new_aubio_mfcc (uint_t buf_size,
     uint_t n_filters, uint_t n_coeffs, uint_t samplerate);
 
@@ -58,5 +58,5 @@
 
   \param mf mfcc object as returned by new_aubio_mfcc
-  \param in input spectrum (win_s long)
+  \param in input spectrum (buf_size long)
   \param out output mel coefficients buffer (n_coeffs long)
 
Index: src/spectral/tss.h
===================================================================
--- src/spectral/tss.h	(revision b8ee46c506cc6943afdf218c6ca9226f5ad86a60)
+++ src/spectral/tss.h	(revision 3ac7cb09be6f375ae97b89eb535d6bb3734e3eb0)
@@ -47,10 +47,10 @@
 /** create tss object
 
-  \param win_s buffer size
-  \param hop_s step size
+  \param buf_size buffer size
+  \param hop_size step size
   \param channels number of input channels
 
 */
-aubio_tss_t *new_aubio_tss (uint_t win_s, uint_t hop_s, uint_t channels);
+aubio_tss_t *new_aubio_tss (uint_t buf_size, uint_t hop_size, uint_t channels);
 
 /** delete tss object
Index: src/tempo/beattracking.h
===================================================================
--- src/tempo/beattracking.h	(revision b8ee46c506cc6943afdf218c6ca9226f5ad86a60)
+++ src/tempo/beattracking.h	(revision 3ac7cb09be6f375ae97b89eb535d6bb3734e3eb0)
@@ -47,9 +47,10 @@
 /** create beat tracking object
 
-  \param winlen: frame size [512] 
+  \param hop_size number of onset detection samples [512] 
   \param channels number (not functionnal) [1]
 
 */
-aubio_beattracking_t * new_aubio_beattracking(uint_t winlen, uint_t channels);
+aubio_beattracking_t * new_aubio_beattracking(uint_t hop_size, uint_t channels);
+
 /** track the beat 
 
@@ -60,5 +61,7 @@
 
 */
-void aubio_beattracking_do(aubio_beattracking_t * bt, fvec_t * dfframes, fvec_t * out);
+void aubio_beattracking_do (aubio_beattracking_t * bt, fvec_t * dfframes,
+    fvec_t * out);
+
 /** get current tempo in bpm
 
@@ -70,4 +73,5 @@
 */
 smpl_t aubio_beattracking_get_bpm(aubio_beattracking_t * bt);
+
 /** get current tempo confidence 
 
@@ -79,4 +83,5 @@
 */
 smpl_t aubio_beattracking_get_confidence(aubio_beattracking_t * bt);
+
 /** delete beat tracking object
 
Index: src/tempo/tempo.h
===================================================================
--- src/tempo/tempo.h	(revision b8ee46c506cc6943afdf218c6ca9226f5ad86a60)
+++ src/tempo/tempo.h	(revision 3ac7cb09be6f375ae97b89eb535d6bb3734e3eb0)
@@ -39,5 +39,5 @@
 
 /** create tempo detection object */
-aubio_tempo_t * new_aubio_tempo (char_t * mode, 
+aubio_tempo_t * new_aubio_tempo (char_t * method, 
     uint_t buf_size, uint_t hop_size, uint_t channels, uint_t samplerate);
 
